Set Contact details for an App

Use this endpoint for Contact details.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

KeyDescriptionConstraints
appIdAppId of the app for which business contact details need to be updated.Should be a valid appId for the account.
contactEmailEmail id to contact business.Should be a valid email id.
contactNameContact name for businessShould be a valid name for business
contactNumberPhone number to contact businessShould be a valid phone number.
skipEmailVerificationWhen true, the contact email is treated as verified and no verification email is sent. When false or not sent, a verification email is sent to contactEmail (existing behaviour).

Optional, defaults to false.

Should be true or false.

Sample Request

curl --location --request PUT 'https://partner.gupshup.io/partner/app/:appId/onboarding/contact' \
--header 'token: <PARTNER_TOKEN>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode '[email protected]' \
--data-urlencode 'contactName=Sam Partner' \
--data-urlencode 'contactNumber=919999999999' \
--data-urlencode 'skipEmailVerification=true'

Sample Response

{
	"status" : "success",
	"message" : "contact details updated successfully"
}

Status Codes

Status CodeResponseComment
Success
200{ "status" : "success", "message" : "contact details updated successfully" }Successfully updated the contact details for the business.
Error
400{ "status" : "error", "message" : "Invalid app id provided" }Provided appId is incorrect.
400{ "status" : "error", "message" : "Please provide valid details" }Provided contactEmail or contactName or contactNumber is not valid.
401{ "status": "error", "message": "Authentication Failed" }Either appId or partner_token is incorrect.
429{ "status": "error", "message": "Too Many Requests" }When the request rate limit exceeds.
Path Params
string
required
Form Data
string
string
integer
boolean
Headers
string
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!